## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check

%global crate sha1collisiondetection

Name:           rust-%{crate}
Version:        0.2.5
Release:        %autorelease
Summary:        SHA-1 hash function with collision detection and mitigation

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/sha1collisiondetection
Source:         %{crates_source}
# Initial patched metadata
# * exclude some files that are only useful for upstream development
Patch0:         sha1collisiondetection-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
SHA-1 hash function with collision detection and mitigation.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0 or MIT
# MIT
# MIT or ASL 2.0
License:        MIT

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%doc README.md
%{_bindir}/sha1cdsum

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE.txt
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages which
use the "digest" feature of the "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+digest-trait-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-trait-devel %{_description}

This package contains library source intended for building other packages which
use the "digest-trait" feature of the "%{crate}" crate.

%files       -n %{name}+digest-trait-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+sha-1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha-1-devel %{_description}

This package contains library source intended for building other packages which
use the "sha-1" feature of the "%{crate}" crate.

%files       -n %{name}+sha-1-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+structopt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+structopt-devel %{_description}

This package contains library source intended for building other packages which
use the "structopt" feature of the "%{crate}" crate.

%files       -n %{name}+structopt-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.5-1
- Update to version 0.2.5; Fixes RHBZ#2025553

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 20 2021 Fabio Valentini <decathorpe@gmail.com> 0.2.4-1
- Update to version 0.2.4; Fixes RHBZ#2024123

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Initial package

